# Class IsXmrNodeOnlineReply

#### Hierarchy

- unknown
  - IsXmrNodeOnlineReply

- Defined in src/protobuf/grpc_pb.d.ts:1232
- Defined in src/protobuf/grpc_pb.d.ts:1244

#####
Index

### Constructors

constructor

### Methods

getIsRunning
serializeBinary
setIsRunning
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new IsXmrNodeOnlineReply(): IsXmrNodeOnlineReply

- #### Returns IsXmrNodeOnlineReply

  Inherited from jspb.Message.constructor

## Methods

### getIsRunning

- getIsRunning(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:1233

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:1236

### setIsRunning

- setIsRunning(value: boolean): IsXmrNodeOnlineReply

- #### Parameters

  - ##### value: boolean

  #### Returns IsXmrNodeOnlineReply

  - Defined in src/protobuf/grpc_pb.d.ts:1234

### toObject

- toObject(includeInstance?: boolean): IsXmrNodeOnlineReply.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns IsXmrNodeOnlineReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1237

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): IsXmrNodeOnlineReply

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns IsXmrNodeOnlineReply

  - Defined in src/protobuf/grpc_pb.d.ts:1240

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: IsXmrNodeOnlineReply, reader: BinaryReader): IsXmrNodeOnlineReply

- #### Parameters

  - ##### message: IsXmrNodeOnlineReply

  - ##### reader: BinaryReader

  #### Returns IsXmrNodeOnlineReply

  - Defined in src/protobuf/grpc_pb.d.ts:1241

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: IsXmrNodeOnlineReply, writer: BinaryWriter): void

- #### Parameters

  - ##### message: IsXmrNodeOnlineReply

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:1239

### `Static` toObject

- toObject(includeInstance: boolean, msg: IsXmrNodeOnlineReply): IsXmrNodeOnlineReply.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: IsXmrNodeOnlineReply

  #### Returns IsXmrNodeOnlineReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1238

Generated using TypeDoc